Bug 489607 - configure-proxy.sh should have a command flag for every option in the answer file
configure-proxy.sh should have a command flag for every option in the answer ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
high Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
wes hayutin
na
:
Depends On:
Blocks: 456999
  Show dependency treegraph
 
Reported: 2009-03-10 17:45 EDT by wes hayutin
Modified: 2009-09-10 10:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 10:37:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-03-10 17:45:14 EDT
Description of problem:

Satellite-5.3.0-RHEL5-re20090306.2-i386-embedded-oracle.iso


proxy, configure-proxy.sh should have a flag for each of the following

VERSION=0.5
RHN_PARENT=your.spacewalk.org
TRACEBACK_EMAIL=your@email.com
USE_SSL=1
SSL_ORG="Red Hat"
SSL_ORGUNIT="Spacewalk"
SSL_COMMON="CommonName"
SSL_CITY=Raleigh
SSL_STATE=NC
SSL_COUNTRY=US
INSTALL_MONITORING=N
ENABLE_SCOUT=N
CA_CHAIN=/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT
POPULATE_CONFIG_CHANNEL=Y
HTTP_PROXY=
HTTP_USERNAME=
HTTP_PASSWORD=
# If you want to populate configuration channel 
# and want to have realy silent installation, then
# you must run rhncfg-manager to enter your login 
# adn password first. Otherwise you will be asked for
# these during proxy activation.
POPULATE_CONFIG_CHANNEL=Y
Comment 1 Miroslav Suchý 2009-05-11 10:43:53 EDT
Commited as fd3fdd33437de78f072f2864e5ac1be09702cff5.
Will be fixed in spacewalk-proxy-installer-0.5.25-4-sat.
Comment 2 wes hayutin 2009-05-21 13:50:57 EDT
[root@rlx-2-04 ~]# configure-proxy.sh --help
usage: configure-proxy.sh [options]

options:
  --answer-file=filename
            Indicates the location of an answer file to be use for answering
            questions asked during the installation process. See man page for
            for an example and documentation.
  -h, --help            
            show this help message and exit
  --non-interactive
            For use only with --answer-file. If the --answer-file doesn't
            provide a required response, default answer is used.

  --version=VERSION
                        Version of Spacewalk Proxy Server you want to activate.
  --rhn-parent=RHN_PARENT
                        Your parent Spacewalk server.
  --traceback-email=TRACEBACK_EMAIL
                        Email to which tracebacks should be sent.
  --use-ssl=USE_SSL
                        1  if  Spacewalk  Proxy Server should communicate with parent over SSL. 
                        0 otherwise. Even if disabled, client can still use SSL to connect 
                        to Spacewalk Proxy Server.
  --ca-chain=CA_CHAIN
                        The CA cert used to verify the ssl connection to parent.
  --force-own-ca
                        Do not use parent CA and force to create your own.
  --http-proxy=HTTP_PROXY
                        HTTP proxy in host:port format, e.g. squid.redhat.com:3128
  --http-username=HTTP_USERNAME
                        The username for an authenticated proxy.
  --http-password=HTTP_PASSWORD
                        The password to use for an authenticated proxy.
  --ssl-build-dir=SSL_BUILD_DIR
                        The directory where we build SSL certificate. Default is /root/ssl-build
  --ssl-org=SSL_ORG
                        Organization name to be used in SSL certificate.
  --ssl-orgunit=SSL_ORGUNIT
                        Organization unit name to be used in SSL certificate.
  --ssl-common=SSL_COMMON
                        Common name to be used in SSL certificate.
  --ssl-city=SSL_CITY
                        City to be used in SSL certificate.
  --ssl-state=SSL_STATE
                        State to be used in SSL certificate.
  --ssl-country=SSL_COUNTRY
                        Two letters country code to be used in SSL certificate.
  --ssl-email=SSL_EMAIL
                        Email to be used in SSL certificate.
  --ssl-password=SSL_PASSWORD
                        Password to be used for SSL CA certificate.
  --install-monitoring=Y
                        Y if monitoring should be installed. Any other value means that 
                        monitoring will not be installed.
  --enable-scout=1
                        1 to enable monitoring scout, 0 otherwise.
  --monitoring-parent=MONITORING_PARENT
                        Name of the parent for your scout. Usually the same value as in 
                        RHN_PARENT.
  --monitoring-parent-ip=MONITORING_PARENT_IP
                        IP address of MONITORING_PARENT
  --scout-shared-key=SCOUT_SHARED_KEY
                        Your scout shared key (can be found on the parent in 
                        /etc/rhn/cluster.ini as key scoutsharedkey).
  --populate-config-channel=Y
                        Y if config chanel should be created and configuration files in that channel
                        updated. Configuration channel will be named rhn_proxy_config_${SYSTEM_ID}.



verified 5/20
Comment 3 Jeff Browning 2009-08-12 10:29:15 EDT
Tested on test1182.test.redhat.com
Comment 4 Brandon Perkins 2009-09-10 10:37:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1433.html

Note You need to log in before you can comment on or make changes to this bug.